# Uses of Class
org.apache.lucene.geo.GeoEncodingUtils.Component2DPredicate

Packages that use GeoEncodingUtils.Component2DPredicate
Package
Description
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.

- ## Uses of GeoEncodingUtils.Component2DPredicate in org.apache.lucene.geo

  Methods in org.apache.lucene.geo that return GeoEncodingUtils.Component2DPredicate
  Modifier and Type
  Method
  Description
  `static GeoEncodingUtils.Component2DPredicate`
  GeoEncodingUtils.`createComponentPredicate(Component2D tree)`
  Create a predicate that checks whether points are within a geometry.